> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List feedbacks

> List user feedback for an environment over a time range



## OpenAPI

````yaml https://api.alpic.ai/openapi.json get /v1/environments/{environmentId}/feedbacks
openapi: 3.1.1
info:
  title: Alpic API
  version: 1.0.0
servers:
  - url: https://api.alpic.ai
security:
  - bearerAuth: []
paths:
  /v1/environments/{environmentId}/feedbacks:
    get:
      tags:
        - insights
      summary: List feedbacks
      description: List user feedback for an environment over a time range
      operationId: feedbacks.list.v1
      parameters:
        - name: environmentId
          in: path
          required: true
          schema:
            type: string
            description: The ID of the environment
        - name: since
          in: query
          schema:
            type: string
            default: 7d
            description: >-
              Start time — ISO 8601 (2024-01-01T00:00:00Z) or relative (1h, 30m,
              2d)
          allowEmptyValue: true
          allowReserved: true
        - name: until
          in: query
          schema:
            type: string
            description: End time — ISO 8601 or relative
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
          allowEmptyValue: true
          allowReserved: true
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            maximum: 9007199254740991
            default: 0
          allowEmptyValue: true
          allowReserved: true
        - name: search
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
          allowEmptyValue: true
          allowReserved: true
        - name: clientIds
          in: query
          schema:
            type: array
            minItems: 1
            maxItems: 100
            items:
              type: string
              minLength: 1
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: The user feedback
          content:
            application/json:
              schema:
                type: object
                properties:
                  feedbacks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        environmentId:
                          type: string
                        content:
                          type: string
                        source:
                          enum:
                            - model
                            - user
                          type: string
                        clientName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        clientId:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - createdAt
                        - environmentId
                        - content
                        - source
                        - clientName
                        - clientId
                  totalCount:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - feedbacks
                  - totalCount
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: BAD_REQUEST
                      status:
                        const: 400
                      message:
                        type: string
                        default: Bad Request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Bearer token for authentication. Use an API key from the API Keys page
        in team settings, or an OAuth access token.
      scheme: bearer

````